Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.GlassPaneDispatcher

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicInternalFrameUI.GlassPaneDispatcher

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener

Enclosing class:
  BasicInternalFrameUI

protected class BasicInternalFrameUI.GlassPaneDispatcher
extends Object
implements MouseInputListener

Constructor Summary
`protected` | `BasicInternalFrameUI.GlassPaneDispatcher()`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Ignore mouseClicked events.
`void` | `mouseDragged(MouseEvent e)` Ignore mouseDragged events.
`void` | `mouseEntered(MouseEvent e)` Forward the mouseEntered event to the underlying child container.
`void` | `mouseExited(MouseEvent e)` Forward the mouseExited event to the underlying child container.
`void` | `mouseMoved(MouseEvent e)` Forward the mouseMoved event to the underlying child container.
`void` | `mousePressed(MouseEvent e)` When inactive, mouse events are forwarded as appropriate either to the UI to activate the frame or to the underlying child component.
`void` | `mouseReleased(MouseEvent e)` Ignore mouseReleased events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.GlassPaneDispatcher

    protected BasicInternalFrameUI.GlassPaneDispatcher()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  When inactive, mouse events are forwarded as appropriate either to the UI to activate the frame or to the underlying child component. In keeping with the MDI messaging model (which JInternalFrame emulates), only the mousePressed event is forwarded to the UI to activate the frame. The mouseEntered, mouseMoved, and MouseExited events are forwarded to the underlying child component, using methods derived from those in Container. The other mouse events are purposely ignored, since they have no meaning to either the frame or its children when the frame is inactive.
  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Forward the mouseEntered event to the underlying child container.
  Specified by:
    `mouseEntered` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Forward the mouseMoved event to the underlying child container.
  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseExited

    public void mouseExited(MouseEvent e)

  Forward the mouseExited event to the underlying child container.
  Specified by:
    `mouseExited` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Ignore mouseClicked events.
  Specified by:
    `mouseClicked` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Ignore mouseReleased events.
  Specified by:
    `mouseReleased` in interface `MouseListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Ignore mouseDragged events.
  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  See Also:
    `mousePressed(java.awt.event.MouseEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.